#!/usr/bin/perl -w

use strict;
use warnings;

my $inFile          = "infile.txt";

open(IN,"$inFile") or die "Cannot find $inFile\n";
my @inFileCont = <IN>;
close IN;

my ($refRec, $totalLength) = &fasReader2d(\@inFileCont);
my @recs    = @$refRec;

foreach my $ele (@recs) {
  print "$ele->[0]\n";
  my @tempSeq = @{$ele->[1]};
  foreach my $ch (@tempSeq){
    print "$ch";
  }
  print "\n";
}


exit;

sub fasReader2d{

  my $uniqNameSR = "";
  my $seqLength = "";
  my $flag = 0;

  my @recs2D = ();
  my @tempSeq = ();
  my $tempSeq = "";

  my ($inFileContSR) = @_;

  foreach my $inFileLine (@$inFileContSR) {
    chomp($inFileLine);
    if($inFileLine =~ /^>/){  
      if($flag == 0){
        $uniqNameSR = $inFileLine;
        $flag = 1;  
      } else {
        my @tempSeqArray = split(//, $tempSeq);
        #print "tempSeq $tempSeq\n";
        push(@recs2D, [$uniqNameSR, \@tempSeqArray]);
        $uniqNameSR = $inFileLine;
        $tempSeq = "";
      }
    } else {
      $tempSeq .= $inFileLine;
    }
  }
  my @tempSeqArray = split(//, $tempSeq);
  push(@recs2D, [$uniqNameSR, \@tempSeqArray]);
  $seqLength = scalar(@tempSeq);

  return (\@recs2D, $seqLength);

}